
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #780
Status: Rejected Start date: March 19, 2018

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/search tool Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

Use case: the search term "pajaro" will result in a song "Pajaro.mp3" be found in a library search, but not "Pájaro.mp3". Maybe that

could be done? Some music players allow search like that. Also for example with "facade" finding a song "façade.mp3".

History

#1 - April 10, 2018 03:06 - John Lindgren

- Category set to plugins/search tool

Is there a standard way of doing this in Unicode and/or a library available that would help with it?  I wouldn't particularly like to be maintaining a huge

character-equivalence table in Audacious.

#2 - August 06, 2018 00:19 - Blue Clouds

John Lindgren wrote:

Is there a standard way of doing this in Unicode and/or a library available that would help with it?  I wouldn't particularly like to be maintaining a

huge character-equivalence table in Audacious.

 

Search works fine with Clementine (based on Qt). I did a quick check of its code. It uses a 3rd party library for utf8:

[[https://github.com/clementine-player/Clementine/tree/master/3rdparty/utf8-cpp]]

Search may or may not be from one of the functions in this folder, which is not a library but potentially could yield some ideas:

[[https://github.com/clementine-player/Clementine/tree/master/src/globalsearch]]

Not sure if the above would be helpful though. :-)

#3 - November 13, 2021 16:57 - John Lindgren

- Status changed from New to Rejected

Closing a few feature requests that have seen no activity in over 3 years.
